<?

class errors_shcms
{
    protected $err400;
    protected $err403;
    protected $err404;
    protected $err405;
    protected $err408;
    protected $err500;
    protected $err502;
    protected $err504;
	protected $_default;

        function __construct()
        {
            $this->err400 = ' Запрос не может быть обработан из-за синтаксической ошибки.';
            $this->err403 = ' Сервер отказывает в выполнении вашего запроса.';
            $this->err404 = ' Запрашиваемая страница не найдена на сервере.';
            $this->err405 = ' Указанный в запросе метод не допускается для заданного ресурса.';
            $this->err408 = ' Ваш браузер не отправил информацию на сервер за отведенное время.';
            $this->err500 = ' Запрос не может быть обработан из-за внутренней ошибки сервера.';
            $this->err502 = ' Сервер получил неправильный ответ при попытке передачи запроса.';
            $this->err504 = ' Вышестоящий сервер не ответил за установленное время.';
			$this->_default = ' Пожалуйста вернитесь назад';
        }

                public function title($name) 
	            {
                    return "Ошибка $name";
                }

    public function error400() {
        echo errors($this->err400);
    }
	
    public function error403() {
        echo errors($this->err403);
    }
	
    public function error404() {
        echo errors($this->err404);
    }
	
    public function error405() {
        echo errors($this->err405);
    }
	
    public function error408() {
        echo errors($this->err408);
    }
	
    public function error500() {
        echo errors($this->err500);
    }
	
    public function error502() {
        echo errors($this->err502);
    }

    public function error504() {
        echo errors($this->err504);
    }
    public function _default() {
        echo errors($this->_default);
    }


}

$errors_list = new errors_shcms;

?>